import 'package:flutter/material.dart';
import 'package:recup_app_storybook/theme/colors.dart';

class RecupTextTheme {
  static TextTheme makeRecupTextTheme() => const TextTheme(
        displayLarge: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 57,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        displayMedium: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 45,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        displaySmall: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 36,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        headlineLarge: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 32,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        headlineMedium: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 28,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        headlineSmall: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 24,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        titleLarge: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 22,
          letterSpacing: 0,
          color: RecupColor.white,
        ),
        titleMedium: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 16,
          letterSpacing: 0.15,
          color: RecupColor.white,
        ),
        titleSmall: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 14,
          letterSpacing: 0.1,
          color: RecupColor.white,
        ),
        labelLarge: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 14,
          letterSpacing: 0.1,
          color: RecupColor.white,
        ),
        labelMedium: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 12,
          letterSpacing: 0.5,
          color: RecupColor.white,
        ),
        labelSmall: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 11,
          letterSpacing: 0.5,
          color: RecupColor.white,
        ),
        bodyLarge: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 16,
          letterSpacing: 0.15,
          color: RecupColor.white,
        ),
        bodyMedium: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 14,
          letterSpacing: 0.25,
          color: RecupColor.white,
        ),
        bodySmall: TextStyle(
          fontFamily: 'Poppins',
          fontSize: 12,
          letterSpacing: 0.4,
          color: RecupColor.white,
        ),
      );
}
